<?php

namespace App\Http\Requests;

use App\Models\User;
use App\Rules\ZxcvbnRule;
use Illuminate\Validation\Rules\Password;

class UserEditRequest extends AuthorizedRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'last_name' => ['string'],
            'name' => ['string'],
            'middle_name' => ['string'],
            'email' => ['email'],
            'phone' => ['string', 'regex:'.User::PHONE_REGEX],
            'password' => [Password::min(1)->rules([new ZxcvbnRule])],
        ];
    }
}
